Description

When using the supplied 'pxe default file' in Config Templates the 'Build PXE default' functionality breaks.

I get the following error:

failed to process template: exp not empty after Safemode::Parser.process_call on s(s(:call, s(:lvar, :profile), :[], s(:lit, :hostgroup)))

I suspect it is caused by the hostgroup variables used in the 'pxe default file'. IMHO default 'examples' should not rely on hostgroups

since not everybody is using hostgroups and this could confuse new users even more.

Related issues:

Is duplicate of Foreman - Bug #2029: Build PXE Default fails with "exp not em... Resolved 12/10/2012

History

#1 - 12/31/2012 08:23 AM - Jasper Poppe

Hmmz, please ignore what I typed after the IMHO, it seems this example template is longer available in Foreman than I thought. Still it seems to be

broken by a recent update.

#2 - 12/31/2012 09:17 AM - Ohad Levy

- Status changed from New to Duplicate

#3 - 12/31/2012 09:28 AM - Jasper Poppe

Sorry about the duplicate I was testing against RC1, my fault. Would be nice if the Debian RC packages would be updated when there is a new RC.

#4 - 12/31/2012 09:32 AM - Ohad Levy

Jasper Poppe wrote:

Sorry about the duplicate I was testing against RC1, my fault. Would be nice if the Debian RC packages would be updated when there is a new

RC.

 Normally they are, but since its vacation time for many people, expect a few delays....

#5 - 12/31/2012 09:51 AM - Jasper Poppe

Clear, if I could help with the Debian building process please let me know ;)

#6 - 01/03/2013 06:31 AM - Greg Sutcliffe

Deb RC3 will be out today, I'm just testing it now. Apologies for the delay. Ordinarily a version bump would be trivial, but I have a new packaging

format which will be used from rc3 onward, so it's a little more complex.

There was a blog back in November on how the Debian build process works, and how anyone can participate, you can find it at 

http://blog.theforeman.org/2012/11/debian-packaging-transparent-way.html

#7 - 01/04/2013 07:49 AM - Jasper Poppe

Thanks a lot, also for the additional information. Nice that the Git 'hack' is not needed anymore, great work! It seems RC4 debs are picky about the

05/12/2024 1/2

http://blog.theforeman.org/2012/11/debian-packaging-transparent-way.html


installation order. I Had some '@cert_chain' errors like 'abstract-1.0.0 has an invalid nil value for @cert_chain', but solved it by first installing the

foreman package before packages like foreman-console, etc.. But this is off topic for this bug report ;)

#8 - 01/04/2013 07:53 AM - Greg Sutcliffe

Jasper Poppe wrote:

Thanks a lot, also for the additional information. Nice that the Git 'hack' is not needed anymore, great work! It seems RC4 debs are picky about

the installation order. I Had some '@cert_chain' errors like 'abstract-1.0.0 has an invalid nil value for @cert_chain', but solved it by first installing

the foreman package before packages like foreman-console, etc.. But this is off topic for this bug report ;)

 Thanks for the info! I would expect apt to always install foreman before the foreman-* packages anyway, but I'll double check the dependencies when

I have a chance. I saw the @cert_chain stuff too, but it seems harmless as far as I've been able to tell. Do open new bugs if you find anything wrong

with them :)

#9 - 01/04/2013 07:57 AM - Jasper Poppe

Thanks for the info! I would expect apt to always install foreman before the foreman-* packages anyway, but I'll double check the dependencies

when I have a chance. I saw the @cert_chain stuff too, but it seems harmless as far as I've been able to tell. Do open new bugs if you find

anything wrong with them :)

 That's what I thought but my Puppet died hard with installing RC4 (from scratch) without specifying the order. Will keep an eye on the changes ;)
